## haskell-irc 0.4.3

=== tests/Makefile ===
ODIR   = .ghc
TARGET = Tests

all : $(ODIR)
	ghc --make -odir=$(ODIR) -hidir=$(ODIR) $(TARGET)
	./$(TARGET)

$(ODIR) :
	mkdir $(ODIR)

clean :
	$(RM) -r $(ODIR) $(TARGET)

.PHONY: all clean

## haskell-irc 0.4.4.2

=== debian/changelog ===
haskell-irc (0.4.4.2-3build2) natty; urgency=low

  * No changes upload for haskell transition

 -- Fabrice Coutadeur <fabricesp@ubuntu.com>  Mon, 24 Jan 2011 03:26:33 +0100

haskell-irc (0.4.4.2-3build1) maverick; urgency=low

  * No-change rebuild to pick up new library ABIs

 -- Iain Lane <laney@ubuntu.com>  Sat, 11 Sep 2010 23:32:57 +0100

haskell-irc (0.4.4.2-3) unstable; urgency=low

  * Adobt by the Debian Haskell Team

 -- Joachim Breitner <nomeata@debian.org>  Sat, 27 Feb 2010 19:38:38 +0100

haskell-irc (0.4.4.2-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.8.3.
  * Move from "devel" section to "haskell".
  * Don't install empty "haddock" directory.

 -- Chris Lamb <lamby@debian.org>  Wed, 13 Jan 2010 22:58:46 +0000

haskell-irc (0.4.3-3) unstable; urgency=low

  * Add missing Build-Depends on hscolour (Closes: #517496)
  * Bump Build-Depends on ghc6 to 6.10.1+dfsg1-13 and haddock to 2.4.1-4 to
    prevent arch-dependent issues with ghc6-doc.

 -- Chris Lamb <lamby@debian.org>  Sun, 01 Mar 2009 15:36:46 +0000

haskell-irc (0.4.3-2) unstable; urgency=low

  * Move to hlibrary.mk-based build system.
  * Bump GHC requirement to 6.10.1.
  * Update maintainer email address.
  * Update Git repository locations.
  * Move to debhelper 7.
  * Update Debian-specific portions of debian/copyright.

 -- Chris Lamb <lamby@debian.org>  Wed, 25 Feb 2009 23:03:46 +0000

haskell-irc (0.4.3-1) unstable; urgency=low

  * New upstream release.
  * Constrain Build-Depends:
    - ghc6 >= 6.8.2 due to newer cabal format.
    - haskell-devscripts >= 0.6.13 to avoid FTBFS due to #491506
  * Add Build-Depends on ghc6-doc and libghc6-parsec-doc to ensure
    documentation links are generated correctly.
  * Fix debian/watch file.
  * Update and reflow upstream URL in debian/copyright.
  * Bump Standards-Version to 3.8.0.

 -- Chris Lamb <chris@chris-lamb.co.uk>  Sun, 20 Jul 2008 00:07:38 +0100

haskell-irc (0.4.2-1) unstable; urgency=low

  * New upstream release.
  * Update debian/copyright to reflect upstream's move to BSD license.

 -- Chris Lamb <chris@chris-lamb.co.uk>  Thu, 03 Apr 2008 11:45:26 +0100

haskell-irc (0.4-2) unstable; urgency=low

  * Add Depends: on libghc6-parsec-dev

 -- Chris Lamb <chris@chris-lamb.co.uk>  Sun, 10 Feb 2008 14:58:11 +0000

haskell-irc (0.4-1) unstable; urgency=low

  * New upstream release. (Closes: #464149)
  * Create libghc6-irc-doc package now that Haddock parses it correctly.

 -- Chris Lamb <chris@chris-lamb.co.uk>  Wed, 06 Feb 2008 13:06:51 +0000

haskell-irc (0.2.3-1) unstable; urgency=low

  * Initial release. (Closes: #455757)

 -- Chris Lamb <chris@chris-lamb.co.uk>  Thu, 24 Jan 2008 20:08:51 +0000

=== debian/control ===
Source: haskell-irc
Section: haskell
Priority: extra
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Chris Lamb <lamby@debian.org>
Build-Depends:
 debhelper (>= 7),
 haskell-devscripts (>= 0.7),
 cdbs,
 ghc6,
 ghc6-doc,
 libghc6-parsec-dev,
 libghc6-parsec-doc,
Standards-Version: 3.8.4
Homepage: http://hackage.haskell.org/package/irc
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-irc
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-irc


Package: libghc6-irc-dev
Architecture: any
Depends: ${haskell:Depends}
  , ${shlibs:Depends}
  , ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: GHC 6 libraries for the Haskell IRC library
 A set of combinators and types for parsing IRC (Internet Relay Chat)
 messages.
 .
 This package contains the libraries compiled for GHC 6.

Package: libghc6-irc-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${haskell:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Description: GHC 6 libraries for the Haskell IRC library (documentation)
 A set of combinators and types for parsing IRC (Internet Relay Chat)
 messages.
 .
 This package contains library documentation.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/hlibrary.mk

install/libghc6-irc-doc::
	find debian/libghc6-irc-doc -type d -empty -delete

## haskell-irc 0.5.0.0

=== debian/changelog ===
haskell-irc (0.5.0.0-1) unstable; urgency=low

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Tue, 07 Feb 2012 20:06:32 +0100

haskell-irc (0.4.4.2-4) unstable; urgency=low

  [ Marco Silva ]
  * Use ghc instead of ghc6

  [ Iain Lane ]
  * Standards-Version → 3.9.2, no changes required 

 -- Iain Lane <laney@ubuntu.com>  Mon, 23 May 2011 11:38:49 +0100

=== debian/control ===
Source: haskell-irc
Section: haskell
Priority: extra
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Chris Lamb <lamby@debian.org>
Build-Depends:
 debhelper (>= 7),
 haskell-devscripts (>= 0.7),
 cdbs,
 ghc,
 ghc-doc,
 libghc-parsec3-dev (<= 3.2),
 libghc-parsec3-doc,
Standards-Version: 3.9.2
Homepage: http://hackage.haskell.org/package/irc
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-irc
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-irc


Package: libghc-irc-dev
Architecture: any
Depends: ${haskell:Depends}
  , ${shlibs:Depends}
  , ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: GHC libraries for the Haskell IRC library
 A set of combinators and types for parsing IRC (Internet Relay Chat)
 messages.
 .
 This package contains the libraries compiled for GHC.

Package: libghc-irc-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${haskell:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Description: GHC libraries for the Haskell IRC library (documentation)
 A set of combinators and types for parsing IRC (Internet Relay Chat)
 messages.
 .
 This package contains library documentation.

## haskell-irc 0.5.1.0

=== tests/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 TARGET = Tests
 
 all : $(ODIR)
-	ghc --make -odir=$(ODIR) -hidir=$(ODIR) $(TARGET)
+	ghc --make -odir=$(ODIR) -hidir=$(ODIR) $(TARGET) -i../
 	./$(TARGET)
 
 $(ODIR) :

=== debian/changelog ===
haskell-irc (0.5.1.0-2build1) saucy; urgency=low

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 28 May 2013 13:31:50 +0100

haskell-irc (0.5.1.0-2) unstable; urgency=low

  * Enable compat level 9
  * Use substvars for Haskell description blurbs

 -- Joachim Breitner <nomeata@debian.org>  Fri, 24 May 2013 12:51:12 +0200

haskell-irc (0.5.1.0-1) experimental; urgency=low

  * New upstream version.
  * Add profiling libraries.

 -- Clint Adams <clint@debian.org>  Mon, 14 Jan 2013 22:53:23 -0500

haskell-irc (0.5.0.0-2) experimental; urgency=low

  * Depend on haskell-devscripts 0.8.13 to ensure this packages is built
    against experimental
  * Bump standards version, no change

 -- Joachim Breitner <nomeata@debian.org>  Sun, 14 Oct 2012 12:01:20 +0200

=== debian/control ===
Source: haskell-irc
Section: haskell
Priority: extra
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Chris Lamb <lamby@debian.org>
Build-Depends: debhelper (>= 9)
 , haskell-devscripts (>= 0.8.15)
 , cdbs
 , ghc
 , ghc-prof
 , libghc-parsec3-dev (<= 3.2)
 , libghc-parsec3-prof
Build-Depends-Indep: ghc-doc
 , libghc-parsec3-doc
Standards-Version: 3.9.4
Homepage: http://hackage.haskell.org/package/irc
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-irc
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-irc


Package: libghc-irc-dev
Architecture: any
Depends: ${haskell:Depends}
  , ${shlibs:Depends}
  , ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: Haskell IRC library${haskell:ShortBlurb}
 A set of combinators and types for parsing IRC (Internet Relay Chat)
 messages.
 .
 This package contains the libraries compiled for GHC.

Package: libghc-irc-prof
Architecture: any
Depends: ${haskell:Depends}
  , ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: Haskell IRC library${haskell:ShortBlurb}
 A set of combinators and types for parsing IRC (Internet Relay Chat)
 messages.
 .
 ${haskell:Blurb}

Package: libghc-irc-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${haskell:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Description: Haskell IRC library${haskell:ShortBlurb}
 A set of combinators and types for parsing IRC (Internet Relay Chat)
 messages.
 .
 This package contains library documentation.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/hlibrary.mk

install/libghc-irc-doc::
	find debian/libghc-irc-doc -type d -empty -delete

## haskell-irc 0.6.1.0

=== debian/changelog ===
haskell-irc (0.6.1.0-7build6) bionic; urgency=medium

  * No-change rebuild for new GHC ABIs

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 05 Nov 2017 22:56:29 +0000

haskell-irc (0.6.1.0-7build5) artful; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 19 Jul 2017 20:07:50 +0200

haskell-irc (0.6.1.0-7build4) artful; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 15 Jul 2017 19:36:23 +0200

haskell-irc (0.6.1.0-7build3) artful; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 11 Jul 2017 16:09:14 +0200

haskell-irc (0.6.1.0-7build2) artful; urgency=medium

  * Rebuild against latest GHC.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Thu, 22 Jun 2017 10:45:05 +0530

haskell-irc (0.6.1.0-7build1) zesty; urgency=medium

  * Rebuild against latest GHC.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Fri, 27 Jan 2017 14:08:16 +0530

haskell-irc (0.6.1.0-7) unstable; urgency=medium

  * Upload to unstable as part of GHC 8 transition.

 -- Clint Adams <clint@debian.org>  Thu, 27 Oct 2016 18:34:33 -0400

haskell-irc (0.6.1.0-6) experimental; urgency=medium

  [ Dmitry Bogatov ]
  * Use secure (https) uri in Vcs-Git field in 'debian/control'
  * Bump standards version to 3.9.8 (no changes needed)
  * Convert `debian/copyright' to dep5 format

  [ Clint Adams ]
  * Temporarily build-depend on ghc 8.

 -- Clint Adams <clint@debian.org>  Mon, 17 Oct 2016 15:08:57 -0400

haskell-irc (0.6.1.0-5) unstable; urgency=medium

  [ Joachim Breitner ]
  * Add Uploaders field, which I accidentally dropped

  [ Clint Adams ]
  * Switch Vcs-Git/Vcs-Browser headers to new location.

 -- Clint Adams <clint@debian.org>  Thu, 03 Dec 2015 14:54:40 -0500

haskell-irc (0.6.1.0-4) experimental; urgency=medium

  * Add lintian override for spurious rpaths

 -- Joachim Breitner <nomeata@debian.org>  Fri, 21 Aug 2015 09:13:36 +0200

haskell-irc (0.6.1.0-3) experimental; urgency=medium

  * Bump standards-version to 3.9.6
  * Depend on haskell-devscripts >= 0.10 to ensure that this package
    builds against GHC in experimental

 -- Joachim Breitner <nomeata@debian.org>  Thu, 20 Aug 2015 10:28:01 +0200

haskell-irc (0.6.1.0-2) unstable; urgency=medium

  [ Chris Lamb ]
  * Drop myself from Uploaders.

  [ Joachim Breitner ]
  * Upload to unstable

 -- Joachim Breitner <nomeata@debian.org>  Mon, 27 Apr 2015 11:51:06 +0200

haskell-irc (0.6.1.0-1) experimental; urgency=low

  * Adjust watch file to new hackage layout
  * Depend on haskell-devscripts 0.9, found in experimental
  * New upstream release
  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Sun, 21 Dec 2014 11:43:00 +0100

=== debian/control ===
Source: haskell-irc
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders:
 Joachim Breitner <nomeata@debian.org>,
Priority: extra
Section: haskell
Build-Depends:
 cdbs,
 debhelper (>= 9),
 ghc (>= 8),
 ghc-prof,
 haskell-devscripts (>= 0.13),
 libghc-attoparsec-dev,
 libghc-attoparsec-prof,
Build-Depends-Indep:
 ghc-doc,
 libghc-attoparsec-doc,
Standards-Version: 3.9.8
Homepage: http://hackage.haskell.org/package/irc
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/tree/p/haskell-irc
Vcs-Git: https://anonscm.debian.org/git/pkg-haskell/DHG_packages.git

Package: libghc-irc-dev
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Provides:
 ${haskell:Provides},
Description: Haskell IRC library${haskell:ShortBlurb}
 A set of combinators and types for parsing IRC (Internet Relay Chat)
 messages.
 .
 This package contains the libraries compiled for GHC.

Package: libghc-irc-prof
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Provides:
 ${haskell:Provides},
Description: Haskell IRC library${haskell:ShortBlurb}
 A set of combinators and types for parsing IRC (Internet Relay Chat)
 messages.
 .
 ${haskell:Blurb}

Package: libghc-irc-doc
Architecture: all
Section: doc
Depends:
 ${haskell:Depends},
 ${misc:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Description: Haskell IRC library${haskell:ShortBlurb}
 A set of combinators and types for parsing IRC (Internet Relay Chat)
 messages.
 .
 This package contains library documentation.

=== debian/watch ===
version=3
http://hackage.haskell.org/package/irc/distro-monitor .*-([0-9\.]+).(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## haskell-irc 0.6.1.1

=== debian/changelog ===
haskell-irc (0.6.1.1-2) unstable; urgency=medium

  [ Scott Talbert ]
  * Build using dh-haskell

  [ Ilias Tsitsimpis ]
  * Sourceful upload for GHC 9.10

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Wed, 07 Jan 2026 20:55:16 +0200

haskell-irc (0.6.1.1-1) unstable; urgency=medium

  * Declare compliance with Debian policy 4.7.0
  * New upstream release

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sun, 06 Oct 2024 10:57:34 +0300

haskell-irc (0.6.1.0-12) unstable; urgency=medium

  * Declare compliance with Debian policy 4.6.2
  * Sourceful upload for GHC 9.4

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Wed, 13 Sep 2023 21:57:36 +0300

haskell-irc (0.6.1.0-11) unstable; urgency=medium

  * Declare compliance with Debian policy 4.6.1
  * Remove retired developer, Joachim Breitner, from Uploaders.
  * Sourceful upload for GHC 9.0.2

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sat, 23 Jul 2022 11:41:31 +0300

haskell-irc (0.6.1.0-10) unstable; urgency=medium

  * Sourceful upload for GHC 8.8

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sun, 14 Jun 2020 14:22:32 +0300

haskell-irc (0.6.1.0-9) unstable; urgency=medium

  [ Clint Adams ]
  * Set Rules-Requires-Root to no.

  [ Ilias Tsitsimpis ]
  * Bump debhelper compat level to 10

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sun, 30 Sep 2018 21:13:00 +0300

haskell-irc (0.6.1.0-8) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Change Priority to optional. Since Debian Policy version 4.0.1,
    priority extra has been deprecated.
  * Use the HTTPS form of the copyright-format URL
  * Modify d/watch and Source field in d/copyright to use HTTPS
  * Declare compliance with Debian policy 4.1.1
  * Use salsa.debian.org URLs in Vcs-{Browser,Git} fields

  [ Clint Adams ]
  * Bump to Standards-Version 4.1.4.

 -- Clint Adams <clint@debian.org>  Mon, 09 Apr 2018 20:04:54 -0400

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: haskell-irc
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders:
- Joachim Breitner <nomeata@debian.org>,
-Priority: extra
+ Ilias Tsitsimpis <iliastsi@debian.org>,
+Priority: optional
 Section: haskell
+Rules-Requires-Root: no
 Build-Depends:
- cdbs,
- debhelper (>= 9),
- ghc (>= 8),
+ dh-sequence-haskell,
+ debhelper-compat (= 13),
+ ghc (>= 9.4),
  ghc-prof,
  haskell-devscripts (>= 0.13),
  libghc-attoparsec-dev,
@@ -16,10 +16,10 @@
 Build-Depends-Indep:
  ghc-doc,
  libghc-attoparsec-doc,
-Standards-Version: 3.9.8
+Standards-Version: 4.7.0
 Homepage: http://hackage.haskell.org/package/irc
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/tree/p/haskell-irc
-Vcs-Git: https://anonscm.debian.org/git/pkg-haskell/DHG_packages.git
+Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-irc
+Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-irc]
 
 Package: libghc-irc-dev
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

install/libghc-irc-doc::
	find debian/libghc-irc-doc -type d -empty -delete

%:
	dh $@
